DWGSIM:(1)

NAME
dwgsim: - a short read simulator

SYNOPSIS
dwgsim [options] <in.ref.fa> <out.prefix>

DESCRIPTION
DWGSIM is a short read simulator which simulates reads from modern sequencing platforms.

OPTIONS

-e FLOAT
    per base/color/flow error rate of the first read [from 0.020 to 0.020 by 0.000]

-E FLOAT
    per base/color/flow error rate of the second read [from 0.020 to 0.020 by 0.000]

-i  use the inner distance instead of the outer distance for pairs [False]

-d INT
    outer distance between the two ends for pairs [500]

-s INT
    standard deviation of the distance for pairs [50.000]

-N INT
    number of read pairs (-1 to disable) [-1]

-C FLOAT
    mean coverage across available positions (-1 to disable) [100.00]

-1 INT
    length of the first read [70]

-2 INT
    length of the second read [70]

-r FLOAT
    rate of mutations [0.0010]

-F FLOAT
    frequency of given mutation to simulate low fequency somatic mutations [0.5000] NB: freqeuncy F refers to the first strand of mutation, therefore mutations on the second strand occur with a frequency of 1-F

-R FLOAT
    fraction of mutations that are indels [0.10]

-X FLOAT
    probability an indel is extended [0.30]

-I INT
    the minimum length indel [1]

-y FLOAT
    probability of a random DNA read [0.05]

-n INT
    maximum number of Ns allowed in a given read [0]

-c INT
    generate reads for [0]: 0: Illumina 1: SOLiD 2: Ion Torrent

-S INT
    generate reads [0]: 0: default (opposite strand for Illumina, same strand for SOLiD/Ion Torrent) 1: same strand (mate pair) 2: opposite strand (paired end)

-f STRING
    the flow order for Ion Torrent data [(null)]

-B  use a per-base error rate for Ion Torrent data [False]

-H  haploid mode [False]

-z INT
    random seed (-1 uses the current time) [-1]

-M  generate a mutations file only [False]

-m FILE
    the mutations txt file to re-create [not using]

-b FILE
    the bed-like file set of candidate mutations [(null)]

-v FILE
    the vcf file set of candidate mutations (use pl tag for strand) [(null)]

-x FILE
    the bed of regions to cover [not using]

-P STRING
    a read prefix to prepend to each read name [not using]

-q STRING
    a fixed base quality to apply (single character) [not using]

-Q FLOAT
    standard deviation of the base quality scores [2.00]

-s INT
    standard deviation of the distance for pairs [50.000]

-h  print this message

Note: For SOLiD mate pair reads and BFAST, the first read is F3 and the second is R3. For SOLiD mate pair reads and BWA, the reads in the first file are R3 the reads annotated as the first read etc.

Note: The longest supported insertion is 4294967295.